> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insightacademyedu.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar turmas

> Retorna a lista das turmas



## OpenAPI

````yaml GET /classe
openapi: 3.1.0
info:
  title: OpenAPI Insight Academy
  description: Insight Academy Platform API
  version: 1.0.0
  contact:
    email: ti@whydea.com.br
    name: Insight Academy
  license:
    name: MIT
servers:
  - url: https://api.plataformainsight.com.br/v1
    description: ''
security:
  - bearerAuth: []
tags: []
paths:
  /classe:
    get:
      summary: Listar turmas
      description: Retorna a lista das turmas
      operationId: getClasses
      parameters:
        - name: page
          in: query
          description: Número da página
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          description: Tamanho da página
          schema:
            type: number
        - name: sortBy
          in: query
          description: Ordenação
          schema:
            type: string
        - name: query
          in: query
          description: Filtro por nome
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClassesResponse'
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestResponse'
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedResponse'
                type: object
components:
  schemas:
    GetClassesResponse:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                examples:
                  - b9351cb5-eb5c-41d0-b0f0-3fa7e0cd1f0e
              name:
                type: string
                examples:
                  - Turma 1
              createdAt:
                type: string
                format: date-time
                examples:
                  - '2025-02-17T18:11:56.711Z'
              updatedAt:
                type: string
                format: date-time
                examples:
                  - '2025-02-17T18:11:56.711Z'
              countStudents:
                type: number
                examples:
                  - 3
        totalRecords:
          type: number
          examples:
            - 10
    BadRequestResponse:
      type: object
      properties:
        status:
          type: string
          examples:
            - error
        message:
          type: string
          examples:
            - Bad request
    UnauthorizedResponse:
      type: object
      properties:
        status:
          type: string
          examples:
            - error
        message:
          type: string
          examples:
            - Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````